Skip to main content

List all folders

Retrieve a paginated list of folders for the authenticated workspace.
1 min read
get/folders
Request example
Response
get/folders

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Query parameters

pageinteger#
The page number for pagination. The first page is 1.

Range: true < x <= 9007199254740991

pageSizeinteger#
The number of items per page.

Default: 50

Range: true < x <= 50

Responses

application/json
A list of folders
idstringrequired#
The unique ID of the folder.
namestringrequired#
The name of the folder.
descriptionstringrequired#
The description of the folder.
typeenum<string>required#
Options:defaultmega
accessLevelenum<string>required#
The workspace-level access level settings for the folder. Default is write which allows full access to the folder for all team members. The other options are read (view-only access) and null (no access) and are only available on Business plans and above.

Default: "write"

Options:writeread
createdAtstringrequired#
The date the folder was created.
updatedAtstringrequired#
The date the folder was updated.